Summary:	A C++ implementation of a fast hash map and hash set using robin hood hashing
Summary(pl.UTF-8):	Implementacja C++ szybkiej tablicy asocjacyjnej i zbioru wykorzytujących haszowanie robin hood
Name:		robin-map
Version:	1.2.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/Tessil/robin-map/releases
Source0:	https://github.com/Tessil/robin-map/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	52b996544ac47bc89faabef5acf8d6e6
URL:		https://github.com/Tessil/robin-map
BuildRequires:	cmake >= 3.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The robin-map library is a C++ implementation of a fast hash map and
hash set using open-addressing and linear robin hood hashing with
backward shift deletion to resolve collisions.

%description -l pl.UTF-8
Biblioteka robin-map to implementacja C++ szybkiej tablicy
asocjacyjnej (mapy) i zbioru wykorzystujących adresowanie otwarte i
haszowanie robin hood z usuwaniem przez przesunięcie wstecz przy
rozwiązywaniu kolizji.

%package devel
Summary:	Header files for robin-map library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki robin-map
Group:		Development/Libraries
Requires:	libstdc++-devel >= 6:4.8

%description devel
Header files for robin-map library.

The robin-map library is a C++ implementation of a fast hash map and
hash set using open-addressing and linear robin hood hashing with
backward shift deletion to resolve collisions.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki robin-map.

Biblioteka robin-map to implementacja C++ szybkiej tablicy
asocjacyjnej (mapy) i zbioru wykorzystujących adresowanie otwarte i
haszowanie robin hood z usuwaniem przez przesunięcie wstecz przy
rozwiązywaniu kolizji.

%prep
%setup -q

%build
mkdir -p build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE README.md
%dir %{_includedir}/tsl
%{_includedir}/tsl/robin*.h
%{_datadir}/cmake/tsl-robin-map
%changelog
* Wed Apr 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/robin-map.git;a=log;h=master

* Wed Apr 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 6f4264a
- updated to 1.2.1; noarch (header-only library)

* Thu Jul 30 2020 Jakub Bogusz <qboosh@pld-linux.org> a629c55
- updated to 0.6.3

* Tue Dec 17 2019 Jan Palus <atler@pld-linux.org> df4bf2b
- typo

* Tue Dec 17 2019 Jakub Bogusz <qboosh@pld-linux.org> e9242af
- updated to 0.6.2

* Sun Apr 21 2019 Jan Rękorajski <baggins@pld-linux.org> 9b6d243
- rel 1

* Sun Apr 21 2019 Jan Rękorajski <baggins@pld-linux.org> 9a4928a
- new

